
Redmine - Defect #14276

Limit users than can reference and fix issues in commit messages

2013-06-13 15:43 - Benoit Duffez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Currently, all commit messages are analyzed and processed to update issues.

This can be an issue if one merges an existing git repository into the project's, if that said repository has commit messages that

contain "fix issue #xyz" for example.

An easy way to fix this would be to actually edit the referenced/fixed issues from commit messages only if the committer is mapped

to a Redmine user.

Hence, commit messages containing "fixes #xyz" from another repository wouldn't mess with the current project, because they are

not linked to a Redmine user.

Related issues:

Is duplicate of Redmine - Defect #13762: SCM auto status change bypassses rol... Confirmed

History

#1 - 2013-06-16 13:06 - Toshi MARUYAMA

- Category set to SCM

#2 - 2013-06-16 13:07 - Toshi MARUYAMA

- Related to Defect #13762: SCM auto status change bypassses roles and permissions added

#3 - 2013-06-17 13:48 - Benoit Duffez

Actually the proposed behavior in #13762 perfectly matches what's described in this issue:

My solution is to add three configuratoin options to the repos.

[] Allow altering of tickets through commit messages

[] Allow system wide altering of tickets through commit messages

[] Allow Non-mapped users in the repo to alter tickets through commit messages

 I don't (apparently) have rights to mark this one as a dupe of #13762

#4 - 2013-06-18 08:43 - Toshi MARUYAMA

- Related to deleted (Defect #13762: SCM auto status change bypassses roles and permissions)

#5 - 2013-06-18 08:43 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for your feedback.

#6 - 2013-06-18 08:44 - Toshi MARUYAMA

- Is duplicate of Defect #13762: SCM auto status change bypassses roles and permissions added
